#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 28. Icons

- Prev

  gnome-icon-theme-symbolic-3.12.0

- Next

  hicolor-icon-theme-0.17

- Up
- Home

# gnome-themes-extra-3.28

## Introduction to GNOME Themes Extra

The GNOME Themes Extra package, formerly known as GNOME Themes Standard, contains various components of the default GNOME theme.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-themes-extra/3.28/gnome-themes-extra-3.28.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-themes-extra/3.28/gnome-themes-extra-3.28.tar.xz

- Download MD5 sum: f9f2c6c521948da427f702372e16f826

- Download size: 2.8 MB

- Estimated disk space required: 40 MB

- Estimated build time: 0.3 SBU

### GNOME Themes Extra Dependencies

#### Required

GTK+-2.24.33 or GTK+-3.24.31 with librsvg-2.52.6 or both

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gnome-themes-extra

## Installation of GNOME Themes Extra

Install GNOME Themes Extra by running the following commands:

    ./configure --prefix=/usr &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-gtk2-engine`: This switch disables the GTK+-2 theming engine.

`--disable-gtk3-engine`: This switch disables the GTK+-3 theming engine.

## Contents

Installed Programs: None
Installed Library: libadwaita.so
Installed Directories: /usr/lib/gtk-2.0/2.10.0/engines, /usr/share/icons/HighContrast, /usr/share/themes/Adwaita, /usr/share/themes/Adwaita-dark, and /usr/share/themes/HighContrast

### Short Descriptions

`libadwaita.so` | is the Adwaita GTK+-2 engine theme

Last updated on

- Prev

  gnome-icon-theme-symbolic-3.12.0

- Next

  hicolor-icon-theme-0.17

- Up
- Home